.segmentos {
  text-align: center;
  font-family: Arial, sans-serif;
  padding: 50px 20px;
  background-color: #111827;
}

.segmentos h2 {
  font-family: "Poppins",system-ui,-apple-system,Segoe UI,Roboto,"Helvetica Neue",Arial;
  font-weight: 700;
  font-size: 2rem;
  color: #ffffff;
}

.segmentos p {
  font-family: "Poppins",system-ui,-apple-system,Segoe UI,Roboto,"Helvetica Neue",Arial;
  font-size: 1rem;
  color:rgba(255,255,255,.7);
  margin-bottom: 40px;
}

.cards {
  display: flex;
  justify-content: center;
  gap: 3rem;
  font-family: "Poppins",system-ui,-apple-system,Segoe UI,Roboto,"Helvetica Neue",Arial;
  font-weight: 700;
  flex-wrap: wrap;
}

.cardseg {
  width: 13.5rem;
  height: 13.5rem;
  border: 2px solid;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s;
}

.cardseg .icon i {
  font-size: 4rem; /* mantém o tamanho grande */
  margin-bottom: 10px;
  color: inherit; /* faz a cor do ícone seguir a do card */
}

.cardseg .title {
  font-weight: bold;
  font-size: 1.5rem;
}

#segmentos {
  scroll-margin-top: 10rem; /* altura do seu header fixo */
}


.cardseg.blue:hover { background-color: #6ec1ff; color: white; }
.cardseg.green:hover { background-color: #28a745; color: white; }
.cardseg.purple:hover { background-color: #8a2be2; color: white; }
.cardseg.orange:hover { background-color: #f0ff50e3; color: white; }
.cardseg.red:hover { background-color: #ff4c4c; color: white; }

/* Cores iguais da imagem */
.blue { border-color: #6ec1ff; color: #6ec1ff; }
.green { border-color: #28a745; color: #28a745; }
.purple { border-color: #8a2be2; color: #8a2be2; }
.orange { border-color: #f0ff50e3; color: #f0ff50e3; }
.red { border-color: #ff4c4c; color: #ff4c4c; }